#
# spec file for package obexfs
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           obexfs
BuildRequires:  automake
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(obexftp)
Requires:       fuse
Summary:        FUSE based filesystem using ObexFTP
License:        GPL-2.0-or-later
Group:          System/Filesystems
Version:        0.12
Release:        3.11
Source:         %{name}-%{version}.tar.bz2
URL:            http://openobex.triq.net/obexfs
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-rpm-macros

%description
ObexFS is a fuse (FUSE-based filesystem) using obexftp (ObexFTP) to
access files on mobile phones.

%prep
%setup -q

%build
autoreconf -fiv
%configure
make %{?_smp_mflags}

%install
make DESTDIR="$RPM_BUILD_ROOT" install

%files
%defattr(-,root,root)
%license COPYING*
%doc AUTHORS ChangeLog NEWS README*
%{_bindir}/*

%changelog
* Wed Jan 19 2022 dsterba@suse.cz
- add python-rpm-macros as dependency, fix build on on Leap 15.x
- use %%license for license files
* Tue Jun 23 2015 crrodriguez@opensuse.org
- package only requires pkgconfig(fuse), pkgconfig(obexftp), remove
  all other buildrequires.
* Tue Sep  2 2014 dsterba@suse.cz
- updated to version 0.12
  - Added an option for source hci selection
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Tue Mar 22 2011 coolo@novell.com
- licenses package is about to die
* Mon Mar 23 2009 crrodriguez@suse.de
- fix buildRequires
* Fri Jul 25 2008 mszeredi@suse.de
- updated to version 0.11
  * Added automatic bt channel selection
  * Added USB discovery
* Fri Aug 10 2007 bk@suse.de
- Add "Requires: fuse" to ensure that fuse is present (285101#c29)
- Remove nicely empty TODO :-) and symlink COPYING from licenses
* Tue May 22 2007 mszeredi@suse.de
- added libusb-devel build dependency
* Sun Oct 29 2006 meissner@suse.de
- use RPM_OPT_FLAGS
* Fri Aug  4 2006 cthiel@suse.de
- update to version 0.10
  * Removed statfs (caused problems on all but Siemens)
  * 64-bit safe printf format
  * added usb support
  * device/channel code cleanup
* Sun Apr 23 2006 cthiel@suse.de
- initial package (version 0.8)
